<template>
  <div :id="sportBet.RefNo + ''" class="bg-white text-black p-2 text-[12px]">
    <table class="border-collapse" border="1" rules="all" style="width: 100%">
      <tr>
        <td style="width: 100px">Details</td>
        <td>
          <div>
            <span>{{ sportBet?.RefNo }}</span>
            <span>{{ sportBet?.MainBetSportsType }}</span>
            <span
              >{{
                textHelper.dateStringTo12HourClock(
                  String(sportBet?.OrderTime),
                  true
                )
              }}
              (GMT-4)</span
            >
          </div>
        </td>
      </tr>
      <tr>
        <td>Selection</td>
        <td>
          <div v-for="(value, index) in sportBet?.BetDetails" :key="index">
            <span>{{ value.BetOption }} {{ value.HandicapPoint }}</span>
            <span>{{ value.MarketType }}</span>
            <span>{{ value.League }}</span>
            <span>{{ value.Match }}</span>
          </div>
        </td>
      </tr>
      <tr>
        <td>Odds</td>
        <td>
          <div>{{ sportBet?.MainBetOdds }} ({{ sportBet?.OddsStyle }})</div>
        </td>
      </tr>
      <tr>
        <td>Stack</td>
        <td>
          <div>{{ sportBet?.Currency }} {{ sportBet?.Stake }}</div>
        </td>
      </tr>
      <tr>
        <td>Actual</td>
        <td>
          <div>{{ sportBet?.Currency }} {{ sportBet?.ActualStake }}</div>
        </td>
      </tr>
    </table>
    <div :id="'contain-qr-' + sportBet.RefNo" class="qr-code pt-4">
      <qrcode-vue
        :id="'qr-' + sportBet.RefNo"
        class="p-0"
        :value="qrData"
        :size="180"
      ></qrcode-vue>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType, onMounted } from "vue";
import QrcodeVue from "qrcode.vue";
import { IResponseSportBets } from "@/models/theme/lite/PureLite";
import textHelper from "@/utils/formatHelpers/textFormatHelper";

export default defineComponent({
  components: {
    QrcodeVue,
  },
  props: {
    sportBet: {
      type: Object as PropType<IResponseSportBets>,
      default: {} as IResponseSportBets,
    },
  },
  setup(props) {
    const qrData = `{
      RefNo: ${props.sportBet.RefNo},
      Token: ${props.sportBet.Token},
    }`;
    onMounted(() => {
      const canvas = document.getElementById(
        `qr-${props.sportBet.RefNo}`
      ) as HTMLCanvasElement;
      const img = new Image();
      img.style.width = "180px";
      img.style.marginTop = "15px";
      img.src = canvas?.toDataURL();
      document
        .getElementById(`contain-qr-${props.sportBet.RefNo}`)
        ?.appendChild(img);
      canvas?.remove();
    });

    return {
      qrData,
      textHelper,
    };
  },
});
</script>

<style scoped>
table td {
  border: 1px solid #777;
  padding: 5px;
}
table tr > td:first-child {
  font-weight: 600;
}
table tr > td span {
  display: block;
}
table tr > td div {
  padding: 5px 0;
}
table tr > td div:not(:first-child):not(:last-child) {
  border-top: 1px solid #777;
  border-bottom: 1px solid #777;
  padding: 7px 0;
}
table
  tr
  > td
  div:not(:first-child):not(:last-child):not(:nth-child(2)):not(
    :nth-last-child(1)
  ) {
  border-top: none;
  border-bottom: 1px solid #777;
  padding: 7px 0;
}
table tr > td div:last-child:nth-child(2) {
  border-top: 1px solid #777;
}
</style>
